stand alone OCSSW

Use this Forum to find information on, or ask a question about, NASA Earth Science data.
Post Reply
orek
Posts: 4
Joined: Fri Jan 21, 2005 8:47 am America/New_York
Answers: 0

stand alone OCSSW

by orek » Mon May 07, 2018 8:11 am America/New_York

I am wondering if it is possible to use OCSSW independent from the SEADAS. I do not want to use or install any GUI of new seadas which I find chaotic in comparison with our lovely old seadas:)... I need to use l2bin and l3mapgen.

Best

Hasan

Filters:

OB.DAAC - SeanBailey
User Services
User Services
Posts: 1474
Joined: Wed Sep 18, 2019 6:15 pm America/New_York
Answers: 1
Been thanked: 5 times

stand alone OCSSW

by OB.DAAC - SeanBailey » Mon May 07, 2018 9:07 am America/New_York

Yes.  See https://seadas.gsfc.nasa.gov/downloads/ - scroll down the page about halfway...

orek
Posts: 4
Joined: Fri Jan 21, 2005 8:47 am America/New_York
Answers: 0

stand alone OCSSW

by orek » Mon May 07, 2018 9:43 am America/New_York

I already did the installation. When I run the l2bin (/home/orek/ocssw/run/bin/linux_64/l2bin) I got an error message "/data3/swdev/V2015.4/build/src/l2bin/l2bin.c: Permission denied".  And during the installation it writes both on /root and /home/ directory which I find bit strange. I was using it with seadas-beam before, now I prefer using it without seadas-beam because seadas-beam is not running efficiently on my server either ubuntu or CentOS.

OB SeaDAS - dshea
Subject Matter Expert
Subject Matter Expert
Posts: 260
Joined: Thu Mar 05, 2009 10:25 am America/New_York
Answers: 0
Been thanked: 2 times

stand alone OCSSW

by OB SeaDAS - dshea » Mon May 07, 2018 12:10 pm America/New_York

What command did you use to install?
Did you run the install_ocssw.py as root?

don

orek
Posts: 4
Joined: Fri Jan 21, 2005 8:47 am America/New_York
Answers: 0

stand alone OCSSW

by orek » Mon May 07, 2018 5:17 pm America/New_York

Hi Don,

I did the installation again and now everything is working. Regarding my first installation, I tried few times by a normal user but not succeed so I run the script with sudo and did the installation.
During the last installation, I have put --git-branch=<version> "7.4" which I have no idea what does this imply and could not find any documentation about it (All I have found are irrelevant. Git version on my server is xx.xxx.xx.xx.

Hasan

OB SeaDAS - dshea
Subject Matter Expert
Subject Matter Expert
Posts: 260
Joined: Thu Mar 05, 2009 10:25 am America/New_York
Answers: 0
Been thanked: 2 times

stand alone OCSSW

by OB SeaDAS - dshea » Tue May 08, 2018 11:32 am America/New_York

you need to give install_ocssw.py the version of SeaDAS.  it should be:

--git_branch=v7.4

If you run the installer from the GUI, it takes care of all of this.

don

Post Reply